Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class WMCMetadataSurrogate

    java.lang.Object
      org.deegree.portal.context.WMCMetadataSurrogate

    public class WMCMetadataSurrogate

extends Object

Helper class to collect metadata about a WMC. It substitutes some of the metadata available in a WMC and should be used for providing faster access to theses metadata.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Ugo Taddei, last edited by: $Author: mschneider $

Constructor Summary
`WMCMetadataSurrogate(String filename, String author, String title, String description, String[] keywords)` Creates a new `WMCMetadataSurrogate`.

Method Summary
`static WMCMetadataSurrogate` | `createFromWMC(String filename, ViewContext vc)` Creates a new `WMCMetadataSurrogate` using the filename and the `ViewContext` vc.
`String` | `getAuthor()`
`String` | `getDescription()`
`String` | `getFilename()`
`String[]` | `getKeywords()`
`String` | `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WMCMetadataSurrogate

    public WMCMetadataSurrogate(String filename,
                                String author,
                                String title,
                                String description,
                                String[] keywords)

  Creates a new `WMCMetadataSurrogate`.

  Parameters:
    `filename` -
    `author` -
    `title` -
    `description` -
    `keywords` -

Method Detail

### createFromWMC

    public static final WMCMetadataSurrogate createFromWMC(String filename,
                                                           ViewContext vc)

  Creates a new `WMCMetadataSurrogate` using the filename and the `ViewContext` vc.

  Parameters:
    `filename` -
    `vc` - the ViewContext used to initialize the title, the description and the keywords. Cannot be null.
  Returns:
    a new `WMCMetadataSurrogate`

### getDescription

    public String getDescription()

  Returns:
    description

### getFilename

    public String getFilename()

  Returns:
    filename

### getKeywords

    public String[] getKeywords()

  Returns:
    keywords

### getTitle

    public String getTitle()

  Returns:
    title

### getAuthor

    public String getAuthor()

  Returns:
    author

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org